---
updatedAt: 2025-12-28T21:51:27.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# pullQueue

Pull the queue according to queue ID

## Request Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        queid
      </td>

      <td style={{ textAlign: "left" }}>
        string\*
      </td>

      <td style={{ textAlign: "left" }}>
        Unique ID of the requested queue
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

## Response

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        FlightNumber
      </td>

      <td>
        String
      </td>

      <td>
        Flight Number
      </td>
    </tr>

    <tr>
      <td>
        FlightDate
      </td>

      <td>
        String
      </td>

      <td>
        Date of the flight in format: "Mon dd yyyy"
      </td>
    </tr>

    <tr>
      <td>
        ChangeDate
      </td>

      <td>
        String
      </td>

      <td>
        Date of when the record was inserted to queue in format:\
        "yyyy-mm-dd hh:mm"
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/pullQueue": {
      "post": {
        "summary": "pullQueue",
        "description": "Pull the queue according to queue ID",
        "operationId": "pullqueue",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "queid": "776648D3-36FC-40E3-BC06-F2B9C5FF94ED"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{  \n   \"aerocrs\":{  \n      \"success\":true,\n      \"Results\":[  \n         {  \n            \"FlightNumber\":\"FlightName123\",\n            \"FlightDate\":\"Oct 16 2018\",\n            \"ChangeDate\":\"2018-10-16 10:52\"\n         }\n      ]\n   }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "Results": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "FlightNumber": {
                                "type": "string",
                                "example": "FlightName123"
                              },
                              "FlightDate": {
                                "type": "string",
                                "example": "Oct 16 2018"
                              },
                              "ChangeDate": {
                                "type": "string",
                                "example": "2018-10-16 10:52"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "XML": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <success>true</success>\n    <Results>\n        <FlightNumber>FlightName123</FlightNumber>\n        <FlightDate>Oct 17 2018</FlightDate>\n        <ChangeDate>2018-10-16 09:02</ChangeDate>\n    </Results>\n    <Results>\n        <FlightNumber>FlightName123</FlightNumber>\n        <FlightDate>Oct 17 2018</FlightDate>\n        <ChangeDate>2018-10-16 09:28</ChangeDate>\n    </Results>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<aerocrs>\n    <parms>\n        <queid>776648D3-36FC-40E3-BC06-F2B9C5FF94ED</queid>\n    </parms>\n</aerocrs>"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```